
#version 150

out vec3 c;
in vec2 uv;
uniform float time;

void main(void)
{
	vec2 a = uv*0.5 + vec2(0.5);
	float d = sqrt(dot(uv,uv));
	float r = atan(uv.y,uv.x);
	c = 100.0-vec3(cos(6.0*r+d+time+cos(d*100.0+time)*0.1+cos(r*30.0)*1.0)*100.0)*vec3(d,d*0.7,d*0.5);

}
